Index: doc/arch/amd64
===================================================================
--- doc/arch/amd64	(revision 2e5f7702dc81424f7b7355318fce5a2468b65a1d)
+++ doc/arch/amd64	(revision 2e5f7702dc81424f7b7355318fce5a2468b65a1d)
@@ -0,0 +1,22 @@
+amd64 port
+==========
+
+The fifth port, amd64 port, is heavily based on ia32 port.
+It was originally written by Ondrej Palkovsky.
+The goal is to support AMD64 or Intel Extended Memory PC's.
+The new 64-bit code makes use of portable parts of ia32.
+Both uniprocessors and multiprocessors are supported.
+It has not been tested on real hardware, so far.
+
+HARDWARE REQUIREMENTS
+        o no real hardware supported
+
+SMP COMPATIBILITY
+        o Bochs 2.2.1
+                o 2x-8x AMD64 CPU
+        o Simics Simics 2.2.19
+                o 2x-8x AMD hammer CPU
+
+EMULATORS AND VIRTUALIZERS
+        o Bochs 2.2
+        o Simics Simics 2.2.19
Index: doc/arch/ia32
===================================================================
--- doc/arch/ia32	(revision 2e5f7702dc81424f7b7355318fce5a2468b65a1d)
+++ doc/arch/ia32	(revision 2e5f7702dc81424f7b7355318fce5a2468b65a1d)
@@ -0,0 +1,29 @@
+ia32 port
+=========
+
+ia32 port is the oldest and the most advanced one.
+It was originally written by Jakub Jermar.
+It is meant to support ordinary PC's based on IA-32 architecture.
+Both uniprocessor and multiprocessor modes are supported.
+It runs on both emulated environment and real hardware.
+
+HARDWARE REQUIREMENTS
+        o IA-32 processor (Pentium and successors)
+
+COMPILER REQUIREMENTS
+        o binutils 2.15 and gcc 3.3.5
+        o binutils 2.16 and gcc 4.0.1
+        o older versions may do as well, but are now obsoleted
+
+SMP COMPATIBILITY
+        o Bochs 2.0.2 - Bochs 2.2.1
+                o 2x-8x 686 CPU
+        o Simics 2.0.28 - Simics 2.2.19
+                o 2x-8x Pentium 4 CPU
+        o ASUS P/I-P65UP5 + ASUS C-P55T2D REV. 1.41
+                o 2x 200Mhz Pentium CPU
+
+EMULATORS AND VIRTUALIZERS
+        o Bochs 2.0.2 - Bochs 2.2.1
+        o VMware Workstation 4, VMware Workstation 5
+        o Simics 2.2.19
Index: doc/arch/ia64
===================================================================
--- doc/arch/ia64	(revision c7a7656ea3327ec6f4e4eb7adff6e6a75657088c)
+++ doc/arch/ia64	(revision 2e5f7702dc81424f7b7355318fce5a2468b65a1d)
@@ -1,14 +1,15 @@
-SPARTAN kernel now features early IA-64 support.
-To run SPARTAN on IA-64, you must use the
-HP Ski simulator. It can be downloaded from here:
+ia64 port
+=========
 
-http://www.hpl.hp.com/research/linux/ski/
+ia64 port is the third port of SPARTAN originally written by Jakub Jermar.
+It is still in its early stages. It runs on HP Ski simulator of IA-64 architecture.
 
-Use init skript like this to run the kernel:
+HARDWARE REQUIREMENTS
+        o no real hardware supported
 
------8<------
+EMULATORS AND VIRTUALIZERS
+        o ski
 
-load kernel.bin
-load load.bin
-
------>8------
+COMPILER REQUIREMENTS
+        o IA-64 binutils 2.15 and gcc 4.0.0 cross compiler
+        o older versions may do as well, but are now obsoleted
Index: doc/arch/mips32
===================================================================
--- doc/arch/mips32	(revision c7a7656ea3327ec6f4e4eb7adff6e6a75657088c)
+++ doc/arch/mips32	(revision 2e5f7702dc81424f7b7355318fce5a2468b65a1d)
@@ -1,12 +1,20 @@
-SPARTAN kernel currently supports emulated MIPS R4000 32-bit
-little-endian architecture. In other words, it can only run in MIPS
-R4000 emulator called msim. This emulator is being developed by Viliam
-Holub:
+mips32 port
+===========
 
-http://nenya.ms.mff.cuni.cz/~holub/msim
+mips32 is the second port of SPARTAN kernel originally written by Jakub Jermar.
+It was first developed to run on MIPS R4000 32-bit simulator.
+Now it can run on real hardware as well.
+It can be compiled and run either as little- or big-endian.
 
-Note that msim diverges from real MIPS hardware in some aspects.
-Therefore, some non-trivial changes will be necessary for a real
-hardware port. The simulator is described in this manual:
+HARDWARE REQUIREMENTS
+        o SGI Indy R4600
+        o emulated MIPS 4K CPU
 
-http://nenya.ms.mff.cuni.cz/~holub/msim/msim.ps
+COMPILER REQUIREMENTS
+        o mips binutils 2.16 and gcc 4.0.1 cross compiler
+        o older versions may do as well, but are now obsoleted
+
+EMULATORS AND VIRTUALIZERS
+        o msim 1.2.6 with lwl/lwr/swl/swr patch
+        o gxemul - both big and little endian
+        o simics 2.2.19
Index: doc/arch/ppc32
===================================================================
--- doc/arch/ppc32	(revision 2e5f7702dc81424f7b7355318fce5a2468b65a1d)
+++ doc/arch/ppc32	(revision 2e5f7702dc81424f7b7355318fce5a2468b65a1d)
@@ -0,0 +1,15 @@
+ppc32 port
+==========
+
+ppc32 port is the fourth port of SPARTAN, originally written by Martin Decky.
+The goal is to support 32-bit PowerPC architecture.
+So far, it runs only in emulator.
+
+HARDWARE REQUIREMENTS
+        o no real hardware supported
+
+EMULATORS AND VIRTUALIZERS
+        o PearPC
+
+COMPILER REQUIREMENTS
+        o binutils 2.16 and gcc 4.0.1
Index: doc/requirements
===================================================================
--- doc/requirements	(revision c7a7656ea3327ec6f4e4eb7adff6e6a75657088c)
+++ 	(revision )
@@ -1,79 +1,0 @@
-ia32 port
-=========
-
-	HARDWARE REQUIREMENTS
-	o IA-32 processor (Pentium and successors)
-
-	COMPILER REQUIREMENTS
-	o binutils 2.15 and gcc 3.3.5
-	o binutils 2.16 and gcc 4.0.1
-	o older versions may do as well, but are now obsoleted
-
-	SMP COMPATIBILITY
-	o Bochs 2.0.2 - Bochs 2.2.1
-		o 2x-8x 686 CPU
-	o Simics 2.0.28 - Simics 2.2.19
-		o 2x-8x Pentium 4 CPU
-	o ASUS P/I-P65UP5 + ASUS C-P55T2D REV. 1.41
-		o 2x 200Mhz Pentium CPU
-    
-	EMULATORS AND VIRTUALIZERS
-	o Bochs 2.0.2 - Bochs 2.2.1
-	o VMware Workstation 4, VMware Workstation 5
-	o Simics 2.2.19
-
-amd64 port
-==========
-	HARDWARE REQUIREMENTS
-	o no real hardware supported
-
-	SMP COMPATIBILITY
-	o Bochs 2.2.1
-		o 2x-8x AMD64 CPU
-	o Simics Simics 2.2.19
-		o 2x-8x AMD hammer CPU
-
-	EMULATORS AND VIRTUALIZERS
-	o Bochs 2.2
-	o Simics Simics 2.2.19
-
-mips32 port
-===========
-
-	HARDWARE REQUIREMENTS
-	o SGI Indy R4600
-	o msim emulated MIPS R4000 CPU (see mips) 
-
-	COMPILER REQUIREMENTS
-	o mips binutils 2.16 and gcc 4.0.1 cross compiler
-	o older versions may do as well, but are now obsoleted
-
-	EMULATORS AND VIRTUALIZERS
-	o msim 1.2.6 with lwl/lwr/swl/swr patch
-	o gxemul - both big and little endian
-	o simics
-
-ia64 port
-=========
-
-	HARDWARE REQUIREMENTS
-	o no real hardware supported
-
-	EMULATORS AND VIRTUALIZERS
-	o ski
-	
-	COMPILER REQUIREMENTS
-	o IA-64 binutils 2.15 and gcc 4.0.0 cross compiler
-	o older versions may do as well, but are now obsoleted
-
-ppc32 port
-==========
-
-	HARDWARE REQUIREMENTS
-	o no real hardware supported
-
-	EMULATORS AND VIRTUALIZERS
-	o PearPC
-	
-	COMPILER REQUIREMENTS
-	o binutils 2.16 and gcc 4.0.1
